---
updatedAt: 2026-11-06T22:26:06.000Z
agentTools:
  projectIndex: https://docs.spinwheel.io/llms.txt
---

# Get a List of Statement Subscriptions

API will list subscriptions for liabilities of the user.

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "paths": {
    "/v1/users/{userId}/liabilities/subscriptions": {
      "get": {
        "operationId": "List Subscriptions",
        "summary": "Get a List of Statement Subscriptions",
        "description": "API will list subscriptions for liabilities of the user.",
        "parameters": [
          {
            "name": "userId",
            "required": true,
            "in": "path",
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Response for credit card subscription",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/CreateLiabilitySubscriptionsResponse"
                },
                "examples": {
                  "Response for credit card subscription": {
                    "description": "Response for credit card subscription",
                    "value": {
                      "status": {
                        "code": 201,
                        "desc": "success"
                      },
                      "data": [
                        {
                          "subscriptionId": "43ec068e-3ae0-4e40-826e-eaa007e1426f",
                          "creditCardId": "fb444634-40a8-4a62-849d-4e2db7b8a9ad",
                          "subscriptionType": "STATEMENT_SUMMARY",
                          "userId": "us444634-40a8-4a62-849d-4e2db7b8a9ad",
                          "updatedOn": 1597753517524,
                          "createdOn": 1597753517524
                        },
                        {
                          "subscriptionId": "9bfbadec-b26a-4fc5-b0f8-75790ddb66c3",
                          "autoLoanId": "7fb5d4c6-f597-41c6-9bff-dc8482fd0a26",
                          "subscriptionType": "STATEMENT_SUMMARY",
                          "userId": "us444634-40a8-4a62-849d-4e2db7b8a9ad",
                          "updatedOn": 1597753517524,
                          "createdOn": 1597753517524
                        }
                      ]
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "Bad request response",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/BadRequestResponse"
                }
              }
            }
          },
          "401": {
            "description": "Unauthorized response",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/UnauthorizedResponse"
                }
              }
            }
          },
          "404": {
            "description": "User not found error response to create subscription",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/CreateLiabilitySubscriptionsErrorResponseWithoutAdditionalFieldsInMessages"
                },
                "examples": {
                  "User not found error response for credit card subscription": {
                    "value": {
                      "status": {
                        "code": 404,
                        "desc": "User not found"
                      }
                    }
                  }
                }
              }
            }
          },
          "500": {
            "description": "Internal server error response",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/InternalServerErrorResponse"
                },
                "examples": {
                  "Could not fetch subscriptions": {
                    "value": {
                      "status": {
                        "code": 500,
                        "desc": "Error fetching statement summary subscriptions",
                        "messages": []
                      }
                    }
                  }
                }
              }
            }
          }
        },
        "tags": [
          "Alerts & Monitoring"
        ],
        "security": [
          {
            "bearerAuth": []
          },
          {
            "bearerAuth": []
          }
        ]
      }
    }
  },
  "info": {
    "title": "Optimize",
    "description": "Welcome to Spinwheel's documentation! ",
    "version": "1.0",
    "contact": {}
  },
  "tags": [
    {
      "name": "Alerts & Monitoring"
    }
  ],
  "servers": [
    {
      "url": "https://sandbox-api.spinwheel.io"
    },
    {
      "url": "https://api.spinwheel.io"
    },
    {
      "url": "https://secure-api.spinwheel.io"
    },
    {
      "url": "https://secure-sandbox-api.spinwheel.io"
    }
  ],
  "components": {
    "securitySchemes": {
      "bearerAuth": {
        "type": "apiKey",
        "in": "header",
        "name": "Authorization",
        "description": "Once you've created a Spinwheel account and received credentials, you can access all of Spinwheel's APIs using a server-to-server call (in order to protect your credentials). When calling an API simply include your secretKey as a bearer token in an auth header like so: \n\n `Authorization: Bearer 8ae8d6fa-df8d-4c5d-9f9b-c4e4c10968b0`"
      }
    },
    "schemas": {
      "BadRequest": {
        "type": "object",
        "properties": {
          "code": {
            "type": "number",
            "example": 400
          },
          "desc": {
            "type": "string",
            "example": "Bad request"
          }
        },
        "required": [
          "code",
          "desc"
        ]
      },
      "BadRequestResponse": {
        "type": "object",
        "properties": {
          "status": {
            "$ref": "#/components/schemas/BadRequest"
          }
        },
        "required": [
          "status"
        ]
      },
      "Unauthorized": {
        "type": "object",
        "properties": {
          "code": {
            "type": "number",
            "example": 401
          },
          "desc": {
            "type": "string",
            "example": "Invalid private key"
          }
        },
        "required": [
          "code",
          "desc"
        ]
      },
      "UnauthorizedResponse": {
        "type": "object",
        "properties": {
          "status": {
            "$ref": "#/components/schemas/Unauthorized"
          }
        },
        "required": [
          "status"
        ]
      },
      "InternalServerError": {
        "type": "object",
        "properties": {
          "code": {
            "type": "number",
            "example": 500
          },
          "desc": {
            "type": "string",
            "example": "Internal server error"
          }
        },
        "required": [
          "code",
          "desc"
        ]
      },
      "InternalServerErrorResponse": {
        "type": "object",
        "properties": {
          "status": {
            "$ref": "#/components/schemas/InternalServerError"
          }
        },
        "required": [
          "status"
        ]
      },
      "Message": {
        "type": "object",
        "properties": {
          "desc": {
            "type": "string",
            "example": "Example status description"
          },
          "type": {
            "enum": [
              "ERROR",
              "WARN",
              "INFO"
            ],
            "type": "string",
            "example": "ERROR"
          }
        },
        "required": [
          "desc"
        ]
      },
      "ResponseStatus": {
        "type": "object",
        "properties": {
          "code": {
            "type": "number",
            "example": 200
          },
          "desc": {
            "type": "string",
            "example": "success"
          },
          "messages": {
            "example": [
              {
                "desc": "Example description"
              }
            ],
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/Message"
            }
          }
        }
      },
      "LiabilitySubscriptionResponse": {
        "type": "object",
        "properties": {
          "subscriptionId": {
            "type": "string",
            "description": "Id of the liability subscription",
            "example": "43ec068e-3ae0-4e40-826e-eaa007e1426f"
          },
          "creditCardId": {
            "type": "string",
            "description": "If applicable, the id of the credit card liability",
            "example": "fb444634-40a8-4a62-849d-4e2db7b8a9ad"
          },
          "autoLoanId": {
            "type": "string",
            "description": "If applicable, the id of the auto loan liability",
            "example": "2200aefc-07ce-415a-9d78-6e7eb2dfa2e2"
          },
          "homeLoanId": {
            "type": "string",
            "description": "If applicable, the id of the home loan liability",
            "example": "27363a96-619e-4a21-9377-e920531847b3"
          },
          "studentLoanId": {
            "type": "string",
            "description": "If applicable, the id of the student loan liability",
            "example": "96767b68-3553-4163-9280-d713cbfd8327"
          },
          "personalLoanId": {
            "type": "string",
            "description": "If applicable, the id of the personal loan liability",
            "example": "2c12281c-afc9-4ad3-bcea-e18894722d84"
          },
          "miscellaneousLiabilityId": {
            "type": "string",
            "description": "If applicable, the id of the miscellaneous liability id",
            "example": "72a1374c-97a0-45bb-991e-44b797a627e9"
          },
          "subscriptionType": {
            "type": "string",
            "enum": [
              "STATEMENT_SUMMARY"
            ],
            "description": "Type of subscription",
            "example": "STATEMENT_SUMMARY"
          },
          "userId": {
            "type": "string",
            "description": "User id",
            "example": "f6815836-0bcd-4b37-8f6c-5a0ad70360ff"
          },
          "createdOn": {
            "type": "number"
          },
          "updatedOn": {
            "type": "number"
          }
        },
        "required": [
          "subscriptionId",
          "subscriptionType",
          "userId",
          "createdOn",
          "updatedOn"
        ]
      },
      "CreateLiabilitySubscriptionsResponse": {
        "type": "object",
        "properties": {
          "status": {
            "$ref": "#/components/schemas/ResponseStatus"
          },
          "data": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/LiabilitySubscriptionResponse"
            }
          }
        },
        "required": [
          "status",
          "data"
        ]
      },
      "CreateLiabilitySubscriptionsErrorResponseWithoutAdditionalFieldsInMessages": {
        "type": "object",
        "properties": {
          "status": {
            "$ref": "#/components/schemas/ResponseStatus"
          }
        },
        "required": [
          "status"
        ]
      }
    }
  }
}
```